Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Standard Widget Toolkit (SWT) » How do I build the 64 bit version of SWT GTK?
How do I build the 64 bit version of SWT GTK? [message #460080] Mon, 22 August 2005 08:58 Go to next message
stoil is currently offline stoilFriend
Messages: 46
Registered: July 2009
Member
Hi,

I've read this:
Q: How do I build the 64 bit version of SWT GTK?
Sept. 29th 2004. An SWT GTK library is under development for the 64
bit platform. It is being developed and tested on an AMD64 machine. The
SWT build for the AMD64 Linux platform is available from the Eclipse
download page along with the other SWT ports.
Follow these steps to extract the 64 bit SWT GTK source code and
produce your own build.

1. Start Eclipse and download the following projects from
dev.eclipse.org: org.eclipse.swt, org.eclipse.swt.gtk64,
org.eclipse.swt.tools
2. Open the file build.xml located into the
org.eclipse.swt.gtk64 fragment. Run Ant to execute the ant task
build.nativeLibraries defined in build.xml.
3. Refresh the project org.eclipse.swt.gtk64

The project org.eclipse.swt.gtk64 now contains the 64 bit native
libraries. The 64 bit java and C source code has been copied under the
org.eclipse.swt.gtk64/src folder.


And it doesn't work. org.eclipse.swt.gtk64 is not present, but someone
nicely has put readme with new location. However I have this in output
(in fact too much to post all but some of it):



[exec] os.c:9560: warning: implicit declaration of function
`gtk_tree_view_column_get_width'
[exec] os.c:9560: error: `GtkTreeViewColumn' undeclared (first use
in this function)
[exec] os.c:9560: error: syntax error before ')' token
[exec] os.c: In function
`Java_org_eclipse_swt_internal_gtk_OS__1gtk_1tree_1view_1col umn_1new':
[exec] os.c:9572: warning: implicit declaration of function
`gtk_tree_view_column_new'
[exec] os.c: In function
`Java_org_eclipse_swt_internal_gtk_OS__1gtk_1tree_1view_1col umn_1pack_1end':
[exec] os.c:9583: warning: implicit declaration of function
`gtk_tree_view_column_pack_end'
[exec] os.c:9583: error: `GtkTreeViewColumn' undeclared (first use
in this function)
[exec] os.c:9583: error: syntax error before ')' token
[exec] os.c: In function
`Java_org_eclipse_swt_internal_gtk_OS__1gtk_1tree_1view_1col umn_1pack_1start':
[exec] os.c:9593: warning: implicit declaration of function
`gtk_tree_view_column_pack_start'
[exec] os.c:9593: error: `GtkTreeViewColumn' undeclared (first use
in this function)
[exec] os.c:9593: error: syntax error before ')' token
[exec] os.c: In function
`Java_org_eclipse_swt_internal_gtk_OS__1gtk_1tree_1view_1col umn_1set_1alignment':
[exec] os.c:9603: warning: implicit declaration of function
`gtk_tree_view_column_set_alignment'
[exec] os.c:9603: error: `GtkTreeViewColumn' undeclared (first use
in this function)
[exec] os.c:9603: error: syntax error before ')' token
[exec] os.c: In function
`Java_org_eclipse_swt_internal_gtk_OS__1gtk_1tree_1view_1col umn_1set_1cell_1data_1func':
[exec] os.c:9613: warning: implicit declaration of function
`gtk_tree_view_column_set_cell_data_func'
[exec] os.c:9613: error: `GtkTreeViewColumn' undeclared (first use
in this function)
[exec] os.c:9613: error: syntax error before ')' token
[exec] os.c: In function
`Java_org_eclipse_swt_internal_gtk_OS__1gtk_1tree_1view_1col umn_1set_1clickable':
[exec] os.c:9623: warning: implicit declaration of function
`gtk_tree_view_column_set_clickable'
[exec] os.c:9623: error: `GtkTreeViewColumn' undeclared (first use
in this function)
[exec] os.c:9623: error: syntax error before ')' token
[exec] os.c: In function
`Java_org_eclipse_swt_internal_gtk_OS__1gtk_1tree_1view_1col umn_1set_1fixed_1width':
[exec] os.c:9633: warning: implicit declaration of function
`gtk_tree_view_column_set_fixed_width'
[exec] os.c:9633: error: `GtkTreeViewColumn' undeclared (first use
in this function)
[exec] os.c:9633: error: syntax error before ')' token
[exec] os.c: In function
`Java_org_eclipse_swt_internal_gtk_OS__1gtk_1tree_1view_1col umn_1set_1reorderable':
[exec] os.c:9643: warning: implicit declaration of function
`gtk_tree_view_column_set_reorderable'
[exec] os.c:9643: error: `GtkTreeViewColumn' undeclared (first use
in this function)
[exec] os.c:9643: error: syntax error before ')' token
[exec] os.c: In function
`Java_org_eclipse_swt_internal_gtk_OS__1gtk_1tree_1view_1col umn_1set_1resizable':
[exec] os.c:9653: warning: implicit declaration of function
`gtk_tree_view_column_set_resizable'
[exec] os.c:9653: error: `GtkTreeViewColumn' undeclared (first use
in this function)
[exec] os.c:9653: error: syntax error before ')' token
[exec] os.c: In function
`Java_org_eclipse_swt_internal_gtk_OS__1gtk_1tree_1view_1col umn_1set_1sizing':
[exec] os.c:9663: warning: implicit declaration of function
`gtk_tree_view_column_set_sizing'
[exec] os.c:9663: error: `GtkTreeViewColumn' undeclared (first use
in this function)
[exec] os.c:9663: error: syntax error before ')' token
[exec] os.c: In function
`Java_org_eclipse_swt_internal_gtk_OS__1gtk_1tree_1view_1col umn_1set_1sort_1indicator':
[exec] os.c:9673: warning: implicit declaration of function
`gtk_tree_view_column_set_sort_indicator'
[exec] os.c:9673: error: `GtkTreeViewColumn' undeclared (first use
in this function)
[exec] os.c:9673: error: syntax error before ')' token
[exec] os.c: In function `Java_org_eclipse_swt_internal_gtk_O


I'm with SuSE 9.2 64bit on AMD64.

Regards,
Stoil
Re: How do I build the 64 bit version of SWT GTK? [message #460252 is a reply to message #460080] Tue, 23 August 2005 13:47 Go to previous messageGo to next message
Billy Biggs is currently offline Billy BiggsFriend
Messages: 94
Registered: July 2009
Member
exquisitus wrote:
> And it doesn't work. org.eclipse.swt.gtk64 is not present, but someone
> nicely has put readme with new location. However I have this in output
> (in fact too much to post all but some of it):

I'm sorry the FAQ is outdated, I'll fix that.

> [exec] os.c:9560: warning: implicit declaration of function
> `gtk_tree_view_column_get_width'
> [exec] os.c:9560: error: `GtkTreeViewColumn' undeclared (first use
> in this function)


Do you have the GTK+ development package installed for your
distribution? I am confused about how you could have got this error.
Also, make sure you're compiling the right source code. You want to
compile the code that will be output in the
org.eclipse.swt.gtk.linux.x86_64 fragment after it has been converted
from the 32-bit sources.

-Billy
Re: How do I build the 64 bit version of SWT GTK? [message #460316 is a reply to message #460252] Wed, 24 August 2005 07:54 Go to previous messageGo to next message
stoil is currently offline stoilFriend
Messages: 46
Registered: July 2009
Member
Billy Biggs wrote:
> exquisitus wrote:
>
>> And it doesn't work. org.eclipse.swt.gtk64 is not present, but someone
>> nicely has put readme with new location. However I have this in output
>> (in fact too much to post all but some of it):
>
>
> I'm sorry the FAQ is outdated, I'll fix that.
>
>> [exec] os.c:9560: warning: implicit declaration of function
>> `gtk_tree_view_column_get_width'
>> [exec] os.c:9560: error: `GtkTreeViewColumn' undeclared (first
>> use in this function)
>
>
>
> Do you have the GTK+ development package installed for your
> distribution? I am confused about how you could have got this error.
> Also, make sure you're compiling the right source code. You want to
> compile the code that will be output in the
> org.eclipse.swt.gtk.linux.x86_64 fragment after it has been converted
> from the 32-bit sources.
>
> -Billy

Sorry I hadn't got gtk dev pack. Also now I captured ouptut in file and
saw this error in beginning:

build.cfiles:
[java] Could not find
org.eclipse.swt.tools.internal.JNIGeneratorApp. Make sure you have it in
your classpath
[java] at
org.apache.tools.ant.taskdefs.ExecuteJava.execute(ExecuteJav a.java:170)
[java] at org.apache.tools.ant.taskdefs.Java.run(Java.java:710)
[java] at
org.apache.tools.ant.taskdefs.Java.executeJava(Java.java:178 )


What should I do to fix this?

Best regards,
Stoil
Re: How do I build the 64 bit version of SWT GTK? [message #460360 is a reply to message #460316] Wed, 24 August 2005 12:09 Go to previous messageGo to next message
stoil is currently offline stoilFriend
Messages: 46
Registered: July 2009
Member
I've fixed .classpath problem. I had to copy .classpath_gtk to
..classpath. It is good idea to have this in howto.
Now this is the result:

[exec] gcc -shared -fpic -s `pkg-config --libs-only-L atk gtk+-2.0`
-latk-1.0 -lgtk-x11-2.0 -o libswt-atk-gtk-3202.so swt.o atk.o
atk_structs.o atk_custom.o atk_stats.o
[exec] gcc -O -Wall -DSWT_VERSION=3202 -DLINUX -DGTK
-I/usr/java/jdk1.5.0_04/include -I/usr/java/jdk1.5.0_04/include/linux
-fpic -DSWT_PTR_SIZE_64 `pkg-config --cflags gnome-vfs-module-2.0
libgnome-2.0 libgnomeui-2.0` -c gnome.c
[exec] In file included from
/opt/gnome/include/libgnome-2.0/libgnome/libgnome.h:29,
[exec] from gnome.h:23,
[exec] from gnome_structs.h:16,
[exec] from gnome.c:17:
[exec]
/opt/gnome/include/libgnome-2.0/libgnome/gnome-program.h:35: 18: popt.h:
No such file or directory
[exec] In file included from
/opt/gnome/include/libgnome-2.0/libgnome/libgnome.h:29,
[exec] from gnome.h:23,
[exec] from gnome_structs.h:16,
[exec] from gnome.c:17:
[exec]
/opt/gnome/include/libgnome-2.0/libgnome/gnome-program.h:195 : error:
syntax error before "gnome_program_preinit"
[exec]
/opt/gnome/include/libgnome-2.0/libgnome/gnome-program.h:198 : warning:
type defaults to `int' in declaration of `gnome_program_preinit'
[exec]
/opt/gnome/include/libgnome-2.0/libgnome/gnome-program.h:198 : warning:
data definition has no type or storage class
[exec] In file included from
/opt/gnome/include/libgnomeui-2.0/libgnomeui/libgnomeui.h:55 ,
[exec] from gnome.h:25,
[exec] from gnome_structs.h:16,
[exec] from gnome.c:17:
[exec]
/opt/gnome/include/libgnomeui-2.0/libgnomeui/gnome-ui-init.h :50: error:
syntax error before "poptContext"
[exec] make: *** [gnome.o] Error 1
[exec] Result: 2
[copy] Copying 3 files to
/home/stoil/EclipseWorkspaces/EclipseEclipse/org.eclipse.swt .gtk.linux.x86_64

May be the problem is in my libs?

Best regards,
Stoil

Stoil wrote:
> Billy Biggs wrote:
>
>> exquisitus wrote:
>>
>>> And it doesn't work. org.eclipse.swt.gtk64 is not present, but
>>> someone nicely has put readme with new location. However I have this
>>> in output (in fact too much to post all but some of it):
>>
>>
>>
>> I'm sorry the FAQ is outdated, I'll fix that.
>>
>>> [exec] os.c:9560: warning: implicit declaration of function
>>> `gtk_tree_view_column_get_width'
>>> [exec] os.c:9560: error: `GtkTreeViewColumn' undeclared (first
>>> use in this function)
>>
>>
>>
>>
>> Do you have the GTK+ development package installed for your
>> distribution? I am confused about how you could have got this error.
>> Also, make sure you're compiling the right source code. You want to
>> compile the code that will be output in the
>> org.eclipse.swt.gtk.linux.x86_64 fragment after it has been converted
>> from the 32-bit sources.
>>
>> -Billy
>
>
> Sorry I hadn't got gtk dev pack. Also now I captured ouptut in file and
> saw this error in beginning:
>
> build.cfiles:
> [java] Could not find
> org.eclipse.swt.tools.internal.JNIGeneratorApp. Make sure you have it in
> your classpath
> [java] at
> org.apache.tools.ant.taskdefs.ExecuteJava.execute(ExecuteJav a.java:170)
> [java] at org.apache.tools.ant.taskdefs.Java.run(Java.java:710)
> [java] at
> org.apache.tools.ant.taskdefs.Java.executeJava(Java.java:178 )
>
>
> What should I do to fix this?
>
> Best regards,
> Stoil
Re: How do I build the 64 bit version of SWT GTK? [message #460395 is a reply to message #460360] Wed, 24 August 2005 14:21 Go to previous messageGo to next message
Billy Biggs is currently offline Billy BiggsFriend
Messages: 94
Registered: July 2009
Member
Stoil wrote:
>
> I've fixed .classpath problem. I had to copy .classpath_gtk to
> .classpath. It is good idea to have this in howto.

Yeah, I wrote up a thing here but I need to put it on the SWT
homepage somewhere:

http://vektor.ca/eclipse/swtcvs/

I think there are probably also some things specific to the 64-bit
port that should be mentioned.

> Now this is the result:
>
> [exec] gcc -shared -fpic -s `pkg-config --libs-only-L atk gtk+-2.0`
> -latk-1.0 -lgtk-x11-2.0 -o libswt-atk-gtk-3202.so swt.o atk.o
> atk_structs.o atk_custom.o atk_stats.o
> [exec] gcc -O -Wall -DSWT_VERSION=3202 -DLINUX -DGTK
> -I/usr/java/jdk1.5.0_04/include -I/usr/java/jdk1.5.0_04/include/linux
> -fpic -DSWT_PTR_SIZE_64 `pkg-config --cflags gnome-vfs-module-2.0
> libgnome-2.0 libgnomeui-2.0` -c gnome.c
> [exec] In file included from
> /opt/gnome/include/libgnome-2.0/libgnome/libgnome.h:29,
> [exec] from gnome.h:23,
> [exec] from gnome_structs.h:16,
> [exec] from gnome.c:17:
> [exec]
> /opt/gnome/include/libgnome-2.0/libgnome/gnome-program.h:35: 18: popt.h:
> No such file or directory

You'll need to install the development package for libpopt, which is
required by GNOME, to build this library.

Note that this particular library it is building
(libswt-gtk-gnome-XXXX.so) is not required by most of SWT, it's just for
the SWT Program API.

-Billy
Re: How do I build the 64 bit version of SWT GTK? [message #460414 is a reply to message #460395] Thu, 25 August 2005 13:43 Go to previous messageGo to next message
stoil is currently offline stoilFriend
Messages: 46
Registered: July 2009
Member
Hi,

Thanks for help. It runs :)
There is some problem in samples however. Eclipse says that there is an
error:

Description: Unknown extension point:
'org.eclipse.swt.examples.launcher.launchItems'.

On resource: plugin.xml

In folder: org.eclipse.swt.examples

Location: line 25


I'm up to date with HEAD.

Stoil



Billy Biggs wrote:
> Stoil wrote:
>
>>
>> I've fixed .classpath problem. I had to copy .classpath_gtk to
>> .classpath. It is good idea to have this in howto.
>
>
> Yeah, I wrote up a thing here but I need to put it on the SWT homepage
> somewhere:
>
> http://vektor.ca/eclipse/swtcvs/
>
> I think there are probably also some things specific to the 64-bit
> port that should be mentioned.
>
>> Now this is the result:
>>
>> [exec] gcc -shared -fpic -s `pkg-config --libs-only-L atk gtk+-2.0`
>> -latk-1.0 -lgtk-x11-2.0 -o libswt-atk-gtk-3202.so swt.o atk.o
>> atk_structs.o atk_custom.o atk_stats.o
>> [exec] gcc -O -Wall -DSWT_VERSION=3202 -DLINUX -DGTK
>> -I/usr/java/jdk1.5.0_04/include -I/usr/java/jdk1.5.0_04/include/linux
>> -fpic -DSWT_PTR_SIZE_64 `pkg-config --cflags gnome-vfs-module-2.0
>> libgnome-2.0 libgnomeui-2.0` -c gnome.c
>> [exec] In file included from
>> /opt/gnome/include/libgnome-2.0/libgnome/libgnome.h:29,
>> [exec] from gnome.h:23,
>> [exec] from gnome_structs.h:16,
>> [exec] from gnome.c:17:
>> [exec]
>> /opt/gnome/include/libgnome-2.0/libgnome/gnome-program.h:35: 18:
>> popt.h: No such file or directory
>
>
> You'll need to install the development package for libpopt, which is
> required by GNOME, to build this library.
>
> Note that this particular library it is building
> (libswt-gtk-gnome-XXXX.so) is not required by most of SWT, it's just for
> the SWT Program API.
>
> -Billy
Re: How do I build the 64 bit version of SWT GTK? [message #460415 is a reply to message #460414] Thu, 25 August 2005 13:44 Go to previous message
Billy Biggs is currently offline Billy BiggsFriend
Messages: 94
Registered: July 2009
Member
Stoil wrote:
> Hi,
>
> Thanks for help. It runs :)
> There is some problem in samples however. Eclipse says that there is an
> error:
>
> Description: Unknown extension point:
> 'org.eclipse.swt.examples.launcher.launchItems'.
>
> On resource: plugin.xml
>
> In folder: org.eclipse.swt.examples

Check out org.eclipse.swt.examples.launcher

-Billy
Previous Topic:duplicate entries in TableViewer
Next Topic:Table and TableCursor
Goto Forum:
  


Current Time: Wed Apr 14 04:25:25 GMT 2021

Powered by FUDForum. Page generated in 0.01700 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top